View a markdown version of this page

UpdateConfigurationBundle - Amazon Bedrock AgentCore Control Plane

UpdateConfigurationBundle

Updates a configuration bundle by creating a new version with the specified changes. Each update creates a new version in the version history.

Request Syntax

PUT /configuration-bundles/bundleId HTTP/1.1 Content-type: application/json { "branchName": "string", "bundleName": "string", "clientToken": "string", "commitMessage": "string", "components": { "string" : { "configuration": JSON value } }, "createdBy": { "arn": "string", "name": "string" }, "description": "string", "parentVersionIds": [ "string" ] }

URI Request Parameters

The request uses the following URI parameters.

bundleId

The unique identifier of the configuration bundle to update.

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

Required: Yes

Request Body

The request accepts the following data in JSON format.

branchName

The branch name for this version. If not specified, inherits the parent's branch or defaults to mainline.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z][a-zA-Z0-9_/-]{0,127}

Required: No

bundleName

The updated name for the configuration bundle.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,99}

Required: No

clientToken

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

commitMessage

A commit message describing the changes in this version.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 500.

Required: No

components

The updated component configurations. Creates a new version of the bundle.

Type: String to ComponentConfiguration object map

Key Length Constraints: Minimum length of 1. Maximum length of 2048.

Key Pattern: [a-zA-Z][a-zA-Z0-9_:/.\-]{0,2047}

Required: No

createdBy

The source that created this version, including the source name and optional ARN.

Type: VersionCreatedBySource object

Required: No

description

The updated description for the configuration bundle.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 500.

Pattern: .+

Required: No

parentVersionIds

A list of parent version identifiers for lineage tracking. Regular commits have a single parent. Merge commits have two parents: the target branch parent and the source branch parent. If the branch already exists, the first parent must be the latest version on that branch.

Type: Array of strings

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "bundleArn": "string", "bundleId": "string", "updatedAt": number, "versionId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

bundleArn

The Amazon Resource Name (ARN) of the updated configuration bundle.

Type: String

Pattern: arn:aws:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:configuration-bundle/[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

bundleId

The unique identifier of the updated configuration bundle.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

updatedAt

The timestamp when the configuration bundle was updated.

Type: Timestamp

versionId

The new version identifier created by this update.

Type: String

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: